/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [cxvttttp_cc] <00000028.00000000> Retained!
#include "PwrDef.h"
#include "AppDef.h"
#include CTypeInfo_i
#include CDocument_i
#include CApplication_i

#include XVTTTT_i
#include CXVTTTTApp_i
#include CXVTTTTDoc_i
// -MQEnd- [Module_Includes] [cxvttttp_cc] <00000028.00000000> 

// -MQBeg- [Module_Declarations_1] [cxvttttp_cc] <00000028.00000000> Retained!
int main(int argc, char** argv)
{
  CXVTTTTApp theApplication;
  theApplication.Go(argc, argv, TASK_MENUBAR, 0,
                    "XVTTTT", "Document Title", "Tic-Tac-Toe");
  return 0;
}
// -MQEnd- [Module_Declarations_1] [cxvttttp_cc] <00000028.00000000> 

// -MQBeg- [Class_Body] [CXVTTTTApp] <00000000.00000003> 
/******************************************************************************
                                  CXVTTTTApp
******************************************************************************/

CXVTTTTApp::CXVTTTTApp(void)
// -MQBeg- [Op_Init] [CXVTTTTApp::CXVTTTTApp] <00000030.00000037> Retained!
  : CApplication()
// -MQEnd- [Op_Init] [CXVTTTTApp::CXVTTTTApp] <00000030.00000037> 
{
// -MQBeg- [Op_Body] [CXVTTTTApp::CXVTTTTApp] <00000030.00000037> Retained!
// -MQEnd- [Op_Body] [CXVTTTTApp::CXVTTTTApp] <00000030.00000037> 
}

void
CXVTTTTApp::StartUp(void)
{
// -MQBeg- [Op_Body] [CXVTTTTApp::StartUp] <00000030.00000038> Retained!
  CApplication::StartUp();
  DoNew();
// -MQEnd- [Op_Body] [CXVTTTTApp::StartUp] <00000030.00000038> 
}

BOOLEAN
CXVTTTTApp::DoNew(void)
{
// -MQBeg- [Op_Body] [CXVTTTTApp::DoNew] <00000030.00000039> Retained!
  CXVTTTTDoc* aDoc = new CXVTTTTDoc(this, GetNumDocuments()+1);
  PwrAssert(aDoc, 311, "Creation of CXVTTTTDoc failed");
  return aDoc->DoNew();
// -MQEnd- [Op_Body] [CXVTTTTApp::DoNew] <00000030.00000039> 
}

BOOLEAN
CXVTTTTApp::DoOpen(void)
{
// -MQBeg- [Op_Body] [CXVTTTTApp::DoOpen] <00000030.0000003A> Retained!
  CXVTTTTDoc* aDoc = new CXVTTTTDoc(this, GetNumDocuments()+1);
  PwrAssert(aDoc, 311, "Creation of CXVTTTTDoc failed");
  return aDoc->DoOpen();
// -MQEnd- [Op_Body] [CXVTTTTApp::DoOpen] <00000030.0000003A> 
}

// -MQEnd- [Class_Body] [CXVTTTTApp] <00000000.00000003> 

// -MQBeg- [Module_Declarations_2] [cxvttttp_cc] <00000028.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [cxvttttp_cc] <00000028.00000000> 
